2018-12-18 23:29 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000177Branch 0.2.1-FINALBugpublic2016-11-23 10:11
Reporterpiter01 
Assigned ToQuix0r 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version0.2.1-FINAL 
Summary0000177: Kein Install möglich
DescriptionBeim Installieren bekomme ich immer die Fehlermeldung:

# functions.php:2554, debug_get_printable_backtrace(0)
# config-functions.php:86, debug_report_bug(1)
# load_cache-modreg.php:71, getConfig(1)
# inc-functions.php:131, include(1)
# inc-functions.php:145, loadInclude(1)
# inc-functions.php:108, loadIncludeOnce(1)
# load_cache.php:68, loadIncludePool(1)
# inc-functions.php:131, include(1)
# inc-functions.php:145, loadInclude(1)
# mysql-connect.php:155, loadIncludeOnce(1)
# inc-functions.php:131, include(1)
# inc-functions.php:145, loadInclude(1)
# config-global.php:106, loadIncludeOnce(1)
# index.php:57, require(1)

und im Log steht nur folgender Eintrag:

27.05.2010|06:33:14|index|debug_report_bug|2549|[getConfig:84] Configuration entry cache_modreg is missing.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0000440

Quix0r (administrator)

Ich glaube, ich habe das bereits lokal fixen koennen, allerdings ist mein lokale Arbeitskopie kaputt (der Teil mit der Expression-Language will ich ueberarbeiten, ist nicht flexibel genug).

~0000442

Quix0r (administrator)

Last edited: 2010-05-28 17:50

View 3 revisions

Entferne mal die Datei inc/loader/load_cache-modreg.php, diese sollte load-modules.php heissen. Diese ist seit einigen Revision veraltet. Normalerweise schreibe ich immer ein <?php // @DEPRECATED ?> in die PHP-Scripte und ein <!-- @DEPRECATED //--> in die Templates rein, damit diese keine Funktion mehr haben.

Hast du auch die aktuelle Revision 1793 (auch wenn sich fuer 0.2.1-FINAL nichts getan hat, es ist nur eine weitere Branch dazugekommen, die bitte aber nicht nutzen).

~0000443

Quix0r (administrator)

Ich glaube, du hast die aktuelle Revision aber hattest wohl eine ausgelassen, wo ich dann das @DEPREACTED reingeschrieben habe. Mist ist das, dass das SVN nicht bis zur letzten Revision vor dem Loeschen noch alles ausfuehrt, sondern direkt loescht. :(

~0000444

piter01 (reporter)

Habe mir gerade vom SVN die Aktuelle Version (von heute) gezogen, ist zwar die oben genannte Fehlermeldung, nun bekomme ich eine neue.
Habe mal den Eintrag aus der Debug.Log mal mitgeschieben.

06.06.2010|18:41:44|index|debug_report_bug|2549|[getConfig:84] Configuration entry cache_modreg is missing.
06.06.2010|18:41:44|index|getMessage|57|Missing message string MXCHANGE_HAS_DIED detected.

Wenn ich mxchange aufrufen will kommt nur


Bug im Script erkannt!
!MXCHANGE_HAS_DIED!

dann bekomme ich den gerade im debug.log den obe genanten eintrag.

~0000445

Quix0r (administrator)

Das mit dem fehlenden Sprachelement ist mit Revision 1805 gefixt. :) die Funktion app_die () ist glaube ich eh veraltet. Ich werde sie mal umbauen auf debug_report_bug() da sie zu wenig Informationen preis gibt (wie z.B. Backtrace).

~0000446

Quix0r (administrator)

Revision 1806 ist nun ein Umbauversuch auf debug_report_bug() anstelle app_die(). app_die() bleibt aber weiterhin noch erhalten, wird aber dann spaeter umbenannt, um der Namenskonvention zu folgen.

Bitte nochmals ausprobieren, jetzt muesste ein Backtrace ueberall kommen. Revision 1807 hatte ich so auf http://www.mxchange.org immer gehabt und ist nun auch mit eingeflossen.

~0000447

piter01 (reporter)

Habe nun die 1806 aufgespiel, nun bekomme ich auf der Seite folgende meldung

# functions.php:2557, debug_get_printable_backtrace(0)

# config-functions.php:82, debug_report_bug(3)

# load_cache-modreg.php:71, getConfig(1)

# inc-functions.php:131, include(1)

# inc-functions.php:145, loadInclude(1)

# inc-functions.php:108, loadIncludeOnce(1)

# load_cache.php:68, loadIncludePool(1)

# inc-functions.php:131, include(1)

# inc-functions.php:145, loadInclude(1)

# mysql-connect.php:155, loadIncludeOnce(1)

# inc-functions.php:131, include(1)

# inc-functions.php:145, loadInclude(1)

# config-global.php:106, loadIncludeOnce(1)

# index.php:57, require(1)


im debug.log ist folgender Eintrag

07.06.2010|18:44:46|index|getConfig|82|Configuration entry cache_modreg is missing.

07.06.2010|18:44:46|index|getConfig|82|{?TITLE?} ist in Script/Funktion <span class="data">getConfig</span>, Zeile <span class="data">82</span> mit folgender Meldung abgebrochen: <span class="data">Note: Configuration entry cache_modreg is missing.
Please report this bug at http://bugs.mxchange.org and include the logfile from inc/cache/debug.log in your report (you can now attach files):
    <li class="debug_list"><span class="backtrace_file">functions.php</span>:2557, <span class="backtrace_function">debug_get_printable_backtrace(0)</span><li class="debug_list"><span class="backtrace_file">config-functions.php</span>:82, <span class="backtrace_function">debug_report_bug(3)</span><li class="debug_list"><span class="backtrace_file">load_cache-modreg.php</span>:71, <span class="backtrace_function">getConfig(1)</span><li class="debug_list"><span class="backtrace_file">inc-functions.php</span>:131, <span class="backtrace_function">include(1)</span><li class="debug_list"><span class="backtrace_file">inc-functions.php</span>:145, <span class="backtrace_function">loadInclude(1)</span><li class="debug_list"><span class="backtrace_file">inc-functions.php</span>:108, <span class="backtrace_function">loadIncludeOnce(1)</span><li class="debug_list"><span class="backtrace_file">load_cache.php</span>:68, <span class="backtrace_function">loadIncludePool(1)</span><li class="debug_list"><span class="backtrace_file">inc-functions.php</span>:131, <span class="backtrace_function">include(1)</span><li class="debug_list"><span class="backtrace_file">inc-functions.php</span>:145, <span class="backtrace_function">loadInclude(1)</span><li class="debug_list"><span class="backtrace_file">mysql-connect.php</span>:155, <span class="backtrace_function">loadIncludeOnce(1)</span><li class="debug_list"><span class="backtrace_file">inc-functions.php</span>:131, <span class="backtrace_function">include(1)</span><li class="debug_list"><span class="backtrace_file">inc-functions.php</span>:145, <span class="backtrace_function">loadInclude(1)</span><li class="debug_list"><span class="backtrace_file">config-global.php</span>:106, <span class="backtrace_function">loadIncludeOnce(1)</span><li class="debug_list"><span class="backtrace_file">index.php</span>:57, <span class="backtrace_function">require(1)</span>
Request-URI: /
Thank you for finding bugs.</span>


sieht hier etwas sehr unübersichlich aus, was ich da gepostet habe, steht aber so in einer Zeile drine (Sorry).

~0000448

piter01 (reporter)

Bins nochmal, habe gerade mal die debug.log mal hochgeladen, ist sicher für Dich besser zu lesen.

~0000449

Quix0r (administrator)

Ui, das ist aber eine lange Meldung. :( Da habe ich wohl etwas durcheinander gebracht.

Aber du hast weiterhin den Bug von Anfang an. Bitte loesche die Datei inc/loader/load_cache-modreg.php. Diese ist veraltet.

~0000450

Quix0r (administrator)

Mit Revision 1808 habe ich die uebergrossen Logmessages fixen koennen. Wenn du weiterhin - was sehr seltsam ist - die gleiche Meldung hast, obwohl du die besagte Datei geloescht hast, loesche einfach deine gesamte Arbeitskopie (mit allen .svn-Verzeichnissen dazu) und checke erneut aus.

Dann solltest du eine frische Kopie haben.

~0000451

Quix0r (administrator)

Wenn du Aenderungen hast, sichere die mit einem Diff-Patch ab. Dazu kannst du sehr leicht TortoiseSVN benutzen. Nachdem du die frische (saubere) Arbeitskopie ausgecheckt hast (am besten in ein neues Verzeichnis auschecken), kannst du das zuvor erzeugte Diff-Patch wieder einspielen.

~0000481

Quix0r (administrator)

Dies sollte nun auch wieder klappen.

~0000716

Quix0r (administrator)

Und zu damit.
+Notes

-Issue History
Date Modified Username Field Change
2010-05-27 04:36 piter01 New Issue
2010-05-28 16:23 Quix0r Assigned To => Quix0r
2010-05-28 16:23 Quix0r Status new => assigned
2010-05-28 16:23 Quix0r Product Version => 0.2.1-FINAL
2010-05-28 16:23 Quix0r Target Version => 0.2.1-FINAL
2010-05-28 16:23 Quix0r Description Updated View Revisions
2010-05-28 16:24 Quix0r Note Added: 0000440
2010-05-28 16:27 Quix0r Build => 0.2.1-FINAL
2010-05-28 17:44 Quix0r Note Added: 0000442
2010-05-28 17:45 Quix0r Note Edited: 0000442 View Revisions
2010-05-28 17:47 Quix0r Note Added: 0000443
2010-05-28 17:50 Quix0r Note Edited: 0000442 View Revisions
2010-06-06 16:51 piter01 Note Added: 0000444
2010-06-06 17:26 Quix0r Note Added: 0000445
2010-06-06 17:44 Quix0r Note Added: 0000446
2010-06-07 16:53 piter01 Note Added: 0000447
2010-06-07 16:55 piter01 File Added: debug.log
2010-06-07 16:56 piter01 Note Added: 0000448
2010-06-07 21:54 Quix0r Note Added: 0000449
2010-06-07 22:22 Quix0r Note Added: 0000450
2010-06-07 23:16 Quix0r Note Added: 0000451
2010-07-01 04:01 Quix0r Note Added: 0000481
2010-07-01 04:01 Quix0r Status assigned => resolved
2010-07-01 04:01 Quix0r Fixed in Version => 0.2.1-FINAL
2010-07-01 04:01 Quix0r Resolution open => fixed
2012-10-16 07:54 Quix0r File Deleted: debug.log
2016-11-23 10:11 Quix0r Note Added: 0000716
2016-11-23 10:11 Quix0r Status resolved => closed
+Issue History